import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const employment = await client.sandbox.employment.update('individual_id', {
start_date: '3/4/2020',
});
console.log(employment.id);from finch import Finch
client = Finch(
access_token="My Access Token",
)
employment = client.sandbox.employment.update(
individual_id="individual_id",
start_date="3/4/2020",
)
print(employment.id)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
employment, err := client.Sandbox.Employment.Update(
context.TODO(),
"individual_id",
finchgo.SandboxEmploymentUpdateParams{
StartDate: finchgo.F("3/4/2020"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", employment.ID)
}
package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.EmploymentUpdateResponse;
import com.tryfinch.api.models.SandboxEmploymentUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
EmploymentUpdateResponse employment = client.sandbox().employment().update("individual_id");
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.EmploymentUpdateResponse
import com.tryfinch.api.models.SandboxEmploymentUpdateParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val employment: EmploymentUpdateResponse = client.sandbox().employment().update("individual_id")
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
employment = finch.sandbox.employment.update("individual_id")
puts(employment)curl --request PUT \
--url https://api.tryfinch.com/sandbox/employment/{individual_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "3/4/2020"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/sandbox/employment/{individual_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'start_date' => '3/4/2020'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"manager": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"department": {
"name": "<string>"
},
"employment": {
"type": "employee",
"subtype": "full_time"
},
"start_date": "<string>",
"end_date": "<string>",
"latest_rehire_date": "<string>",
"is_active": true,
"employment_status": "active",
"flsa_status": "exempt",
"class_code": "<string>",
"location": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"name": "<string>",
"source_id": "<string>"
},
"income": {
"unit": "yearly",
"amount": 123,
"currency": "<string>",
"effective_date": "2023-12-25"
},
"income_history": [
{
"unit": "yearly",
"amount": 123,
"currency": "<string>",
"effective_date": "2023-12-25"
}
],
"custom_fields": [
{
"name": "<string>",
"value": "<unknown>"
}
],
"union_code": "<string>",
"union_local": "<string>",
"highly_compensated_employee": true,
"key_employee": true,
"source_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Update sandbox employment
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const employment = await client.sandbox.employment.update('individual_id', {
start_date: '3/4/2020',
});
console.log(employment.id);from finch import Finch
client = Finch(
access_token="My Access Token",
)
employment = client.sandbox.employment.update(
individual_id="individual_id",
start_date="3/4/2020",
)
print(employment.id)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
employment, err := client.Sandbox.Employment.Update(
context.TODO(),
"individual_id",
finchgo.SandboxEmploymentUpdateParams{
StartDate: finchgo.F("3/4/2020"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", employment.ID)
}
package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.EmploymentUpdateResponse;
import com.tryfinch.api.models.SandboxEmploymentUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
EmploymentUpdateResponse employment = client.sandbox().employment().update("individual_id");
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.EmploymentUpdateResponse
import com.tryfinch.api.models.SandboxEmploymentUpdateParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val employment: EmploymentUpdateResponse = client.sandbox().employment().update("individual_id")
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
employment = finch.sandbox.employment.update("individual_id")
puts(employment)Authorizations
Please use your Access Token
Path Parameters
Body
The legal first name of the individual.
The legal middle name of the individual.
The legal last name of the individual.
The current title of the individual.
The manager object representing the manager of the individual within the org.
Show child attributes
Show child attributes
The department object.
Show child attributes
Show child attributes
The employment object.
Show child attributes
Show child attributes
(\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))(\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))(\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))true if the individual an an active employee or contractor at the company.
The detailed employment status of the individual.
active, deceased, leave, onboarding, prehire, retired, terminated, null The FLSA status of the individual. Available options: exempt, non_exempt, unknown.
exempt, non_exempt, unknown, null Worker's compensation classification code for this employee
Show child attributes
Show child attributes
The employee's income as reported by the provider. This may not always be annualized income, but may be in units of bi-weekly, semi-monthly, daily, etc, depending on what information the provider returns.
Show child attributes
Show child attributes
The array of income history.
The employee's income as reported by the provider. This may not always be annualized income, but may be in units of bi-weekly, semi-monthly, daily, etc, depending on what information the provider returns.
Show child attributes
Show child attributes
Custom fields for the individual. These are fields which are defined by the employer in the system. Custom fields are not currently supported for assisted connections.
Show child attributes
Show child attributes
The code identifying the union the employee is a member of, as configured in the payroll system.
The local chapter or local number within the employee's union.
IRS flag indicating whether the employee is classified as a Highly Compensated Employee for nondiscrimination testing purposes (ADP/ACP tests). US-only.
IRS flag indicating whether the employee is classified as a Key Employee for top-heavy testing purposes. US-only.
The source system's unique employment identifier for this individual
Response
OK
The legal first name of the individual.
The legal middle name of the individual.
The legal last name of the individual.
The current title of the individual.
The manager object representing the manager of the individual within the org.
Show child attributes
Show child attributes
The department object.
Show child attributes
Show child attributes
The employment object.
Show child attributes
Show child attributes
(\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))(\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))(\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))true if the individual an an active employee or contractor at the company.
The detailed employment status of the individual.
active, deceased, leave, onboarding, prehire, retired, terminated, null The FLSA status of the individual. Available options: exempt, non_exempt, unknown.
exempt, non_exempt, unknown, null Worker's compensation classification code for this employee
Show child attributes
Show child attributes
The employee's income as reported by the provider. This may not always be annualized income, but may be in units of bi-weekly, semi-monthly, daily, etc, depending on what information the provider returns.
Show child attributes
Show child attributes
The array of income history.
The employee's income as reported by the provider. This may not always be annualized income, but may be in units of bi-weekly, semi-monthly, daily, etc, depending on what information the provider returns.
Show child attributes
Show child attributes
Custom fields for the individual. These are fields which are defined by the employer in the system. Custom fields are not currently supported for assisted connections.
Show child attributes
Show child attributes
The code identifying the union the employee is a member of, as configured in the payroll system.
The local chapter or local number within the employee's union.
IRS flag indicating whether the employee is classified as a Highly Compensated Employee for nondiscrimination testing purposes (ADP/ACP tests). US-only.
IRS flag indicating whether the employee is classified as a Key Employee for top-heavy testing purposes. US-only.
The source system's unique employment identifier for this individual
A stable Finch id (UUID v4) for an individual in the company.
[0-9a-fA-F]{8}[-]?(?:[0-9a-fA-F]{4}[-]?){3}[0-9a-fA-F]{12}Was this page helpful?